import axios from 'axios'
import { baseURL } from './base.js'
import router from '../router/index.js'
// 创建 axios 实例
const service = axios.create({
	baseURL: baseURL,
	withCredentials: false,// 是否跨站点访问控制请求
	timeout: 60000,
	headers: {
		'Content-Type': 'application/x-www-form-urlencoded',//x-www-form-urlencoded
		// 'User_tokey':''
	}
})

// 请求拦截器
service.interceptors.request.use((config) => {
	// showLoading()
	config.data.User_tokey = store.state.userInfo.token
	config.data = qs.stringify(config.data)
	// config.headers['Authorization'] = '1' // 让每个请求携带自定义token  //设置请求头
	return config
}, (error) => {
	// 错误抛到业务代码
	error.data = {}
	return Promise.resolve(error)
})

// 响应拦截器
service.interceptors.response.use((response) => {
	// hideLoading(1)
	showStatus(response.data)
	return response
}, (error) => {
	// 错误抛到业务代码
	// router.push({
	// 	path:'/error'
	// })
	elementui.Message.error('系统异常，联系管理员处理')
	error.data = {}
	return Promise.resolve(error)
})

const showStatus = (status) => {//状态码
	console.log('状态码',status)
}

export {
	service as axios
}
